Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-3649

Delete old cert CLI tools from codebase

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Critical
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: PUP 6.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Team:
      Froyo

      Description

      Once we have replacement cli tooling for managing certs (SERVER-1747), we need to delete the old code from the ruby codebase.
      These tools include:

      • puppet cert
      • puppet ca
      • puppet certificate_revocation_list
      • puppet certificate_request

      puppet certificate defines a few actions that should be used client-side, so some of its replacement will need to happen in Puppet rather than Puppet Server.

      Would be nice to replace the old tools with shims that simply direct the user to the new tools.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              chris Chris Price
              QA Contact:
              Erik Dasher
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved:

                  Zendesk Support